package domain

type TaobaoFenxiaoOrdersGetTopReceiverDo struct {
	/*
	   收货人全名     */
	Name *string `json:"name,omitempty" `

	/*
	   收货人的详细地址信息     */
	Address *string `json:"address,omitempty" `

	/*
	   邮政编码     */
	Zip *string `json:"zip,omitempty" `

	/*
	   固定电话     */
	Phone *string `json:"phone,omitempty" `

	/*
	   移动电话     */
	MobilePhone *string `json:"mobile_phone,omitempty" `

	/*
	   收货人所在省份     */
	State *string `json:"state,omitempty" `

	/*
	   收货人的城市     */
	City *string `json:"city,omitempty" `

	/*
	   区/县     */
	District *string `json:"district,omitempty" `

	/*
	   收件人ID (Open Addressee ID)，长度在128个字符之内。     */
	Oaid *string `json:"oaid,omitempty" `
}

func (s *TaobaoFenxiaoOrdersGetTopReceiverDo) SetName(v string) *TaobaoFenxiaoOrdersGetTopReceiverDo {
	s.Name = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetTopReceiverDo) SetAddress(v string) *TaobaoFenxiaoOrdersGetTopReceiverDo {
	s.Address = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetTopReceiverDo) SetZip(v string) *TaobaoFenxiaoOrdersGetTopReceiverDo {
	s.Zip = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetTopReceiverDo) SetPhone(v string) *TaobaoFenxiaoOrdersGetTopReceiverDo {
	s.Phone = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetTopReceiverDo) SetMobilePhone(v string) *TaobaoFenxiaoOrdersGetTopReceiverDo {
	s.MobilePhone = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetTopReceiverDo) SetState(v string) *TaobaoFenxiaoOrdersGetTopReceiverDo {
	s.State = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetTopReceiverDo) SetCity(v string) *TaobaoFenxiaoOrdersGetTopReceiverDo {
	s.City = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetTopReceiverDo) SetDistrict(v string) *TaobaoFenxiaoOrdersGetTopReceiverDo {
	s.District = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetTopReceiverDo) SetOaid(v string) *TaobaoFenxiaoOrdersGetTopReceiverDo {
	s.Oaid = &v
	return s
}
